/* See LICENSE file for copyright and license details. */

/* appearance */
#define BORDERPX		5
#define NORMBORDERCOLOR		"#aaaaaa"
#define SELBORDERCOLOR		"#ee8888"

/* Query class:instance:title for regex matching info with following command:
 * xprop | awk -F '"' '/^WM_CLASS/ { printf("%s:%s:",$4,$2) }; /^WM_NAME/ { printf("%s\n",$2) }' */
#define RULES \
static Rule rule[] = { \
	/* class:instance:title regex	tags regex	isfloating */ \
	{ "Gimp",			True }, \
	{ "MPlayer",			True }, \
	{ "Acroread",			True }, \
};

#define MASTERWIDTH		600		/* master width per thousand */
#define NMASTER			1		/* clients in master area */
#define SNAP				24		/* snap pixel */
#define DRAG				32		/* dragging pixels */

/* commands */
#define CMD1	"uxterm -bg '#ffffee' -fg '#221111' -cr '#ee1111' +sb -fn '-*-terminus-bold-r-*-*-14-*-*-*-*-*-*-*'"
#define CMD2	"uxterm -bg '#ffeeff' -fg '#221111' -cr '#ee1111' +sb -fn '-*-terminus-bold-r-*-*-14-*-*-*-*-*-*-*'"
#define CMD3	"uxterm -bg '#eeffee' -fg '#221111' -cr '#ee1111' +sb -fn '-*-terminus-bold-r-*-*-14-*-*-*-*-*-*-*'"
#define CMD4	"uxterm -bg '#eeffff' -fg '#221111' -cr '#ee1111' +sb -fn '-*-terminus-bold-r-*-*-14-*-*-*-*-*-*-*'"
#define CMDP	"exe=`dmenu_path | dmenu` && exec $exe"

/* key definitions */
#define MODKEY			Mod1Mask
#define KEYS \
static Key key[] = { \
	/* modifier			key		function	argument */ \
	{ MODKEY,			XK_1,		spawn, 		CMD1 }, \
	{ MODKEY,			XK_2,		spawn, 		CMD2 }, \
	{ MODKEY,			XK_3,		spawn, 		CMD3 }, \
	{ MODKEY,			XK_4,		spawn, 		CMD4 }, \
	{ MODKEY,			XK_p,		spawn, 		CMDP }, \
	{ MODKEY,			XK_j,		focusclient,	"1" }, \
	{ MODKEY,			XK_k,		focusclient,	"-1" }, \
	{ MODKEY,			XK_m,		incnmaster,	NULL }, \
	{ MODKEY,			XK_w,		incmasterw,	NULL }, \
	{ MODKEY,			XK_Return,	zoom,		NULL }, \
	{ MODKEY,			XK_space,	togglefloating,	NULL }, \
	{ MODKEY|ShiftMask,		XK_c,		killclient,	NULL }, \
	{ MODKEY|ShiftMask,		XK_q,		quit,		NULL }, \
};
